/*
 * ppd.h
 *
 * PostScript Printer Description files
 *
 * Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
 * Copyright (c) 1995, 96, 97 Akim Demaille, Miguel Santana
 *
 */

/*
 * This file is part of a2ps.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
 * $Id: dsc.h,v 1.2 1997/09/17 17:15:14 demaille Exp $
 */
#ifndef _PPD_H_
#define _PPD_H_

struct a2ps_job;

int font_is_ps_known PARAMS ((struct a2ps_job * job, const char * name));

struct ppd {
  char * key;			/* Name of the file	*/
  struct pair_htable * fonts;	/* List of the know fonts */
};

/*
 * The font part
 */
void ppd_font_add PARAMS ((struct ppd * pdd, const char * fontname));
int ppd_font_known_p PARAMS ((struct ppd * pdd, const char * fontname));

/*
 * The whole struct
 */
struct ppd * ppd_new PARAMS ((void));
void ppd_free PARAMS ((struct ppd * pdd));
void ppd_self_print PARAMS ((struct ppd * pdd, FILE * stream));

/************************************************************************/
/* Road map to the files defining the printers				*/
/************************************************************************/
struct pair_htable * printers_map_new PARAMS ((void));
void printers_map_free PARAMS ((struct pair_htable * table));
int printers_map_main_load PARAMS ((struct a2ps_job * job));
#endif
